# Class SmapInput

java.lang.Object
org.apache.jasper.compiler.SmapInput

public class SmapInput extends Object

## Constructor Summary

Constructors
Constructor
Description
`SmapInput(String fileName, int lineNumber)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getFileName()`
`int`
`getLineNumber()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SmapInput

public SmapInput(String fileName, int lineNumber)

## Method Details

### getFileName

public String getFileName()

### getLineNumber

public int getLineNumber()